### Method

# Gimp Image set_selected_layers

since: 3.0.0

#### Declaration [src]

    gboolean
    gimp_image_set_selected_layers (
      GimpImage* image,
      const GimpLayer** layers
    )

#### Description [src]

Sets the specified image’s selected layers.

The layers are set as the selected layers in the image. Any previous selected layers or channels are unselected. An exception is a previously existing floating selection, in which case this procedure will return an execution error.

Available since: 3.0.0

#### Parameters

`layers`

  Type: An array of `None`

  The list of layers to select.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.